package com.zjrs.zwnw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.rlzysc.dto.*;
import com.zjrs.zwnw.rlzysc.po.RsRlzyYgbadwPO;
import com.zjrs.zwnw.rlzysc.po.RsRlzyYgbaygYwPO;
import com.zjrs.zwnw.rlzysc.po.RsRlzyYgbaygZsPO;

import java.util.List;
import java.util.Map;

@Mapper
public interface YgbadwMapper extends BaseMapper<RsRlzyYgbadwPO> {
    public Page<Map<String, Object>> ygbaGetYgxxList(Page<Map<String, Object>> page, @Param("dto") YgbaDwxxQueryDTO dto);

    public Map<String, Object> getDwxx(String ids);

    public Page<RsRlzyYgbaygYwPO> ygbaGetZgmcShList(Page<RsRlzyYgbaygYwPO> page, @Param("dto") YgbaYgxxQueryDTO dto);

    public Page<RsRlzyYgbaygZsPO> ygbaGetZgmcCkList(Page<RsRlzyYgbaygZsPO> page, @Param("dto") YgbaYgxxQueryDTO dto);

    public List<YgbaZgmcExportDTO> ygbaZgmcExport(@Param("dto") YgbaYgxxQueryDTO dto);

    public Page<YgbaZgmcListDTO> ygbaGetZgmccxList(Page<YgbaZgmcListDTO> page, @Param("dto") YgbaZgmcQueryDTO dto);

    public List<YgbaZgmccxExportDTO> ygbaZgmccxExport(@Param("dto") YgbaZgmcQueryDTO dto);
}
